org.eclipse.actf.model.ui.editor.actions

## Class FavoritesMenu

- java.lang.Object
- - org.eclipse.jface.action.ContributionManager
  - - org.eclipse.jface.action.MenuManager
    - - org.eclipse.actf.model.ui.editor.actions.FavoritesMenu

All Implemented Interfaces:
  EventListener, org.eclipse.actf.model.internal.ui.FavoritesChangeListener, org.eclipse.jface.action.IContributionItem, org.eclipse.jface.action.IContributionManager, org.eclipse.jface.action.IMenuManager

    public class FavoritesMenu
    extends org.eclipse.jface.action.MenuManager
    implements org.eclipse.actf.model.internal.ui.FavoritesChangeListener

MenuManager for favorites control

### Constructor Summary

Constructors
Constructor and Description
`FavoritesMenu(org.eclipse.ui.IWorkbenchWindow window)` Constructor of MenuManager.
`FavoritesMenu(org.eclipse.ui.IWorkbenchWindow window, boolean useExistingEditor)` Constructor of MenuManager

### Method Summary

Methods
`void` `favoritesChanged(org.eclipse.actf.model.internal.ui.FavoritesChangeEvent fce)` This method will be invoked internally if the favorite items are changed

### Methods inherited from class org.eclipse.jface.action.MenuManager

`addMenuListener, createContextMenu, createMenuBar, createMenuBar, dispose, fill, fill, fill, fill, findMenuUsingPath, findUsingPath, getId, getImageDescriptor, getMenu, getMenuText, getOverrides, getParent, getRemoveAllWhenShown, isDynamic, isEnabled, isGroupMarker, isSeparator, isSubstituteFor, isVisible, markDirty, removeMenuListener, saveWidgetState, setActionDefinitionId, setOverrides, setParent, setRemoveAllWhenShown, setVisible, update, update, update, updateAll`

### Methods inherited from class org.eclipse.jface.action.ContributionManager

`add, add, appendToGroup, appendToGroup, find, getItems, getSize, indexOf, insert, insertAfter, insertAfter, insertBefore, insertBefore, isDirty, isEmpty, prependToGroup, prependToGroup, remove, remove, removeAll, replaceItem`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.action.IContributionManager

`add, add, appendToGroup, appendToGroup, find, getItems, insertAfter, insertAfter, insertBefore, insertBefore, isDirty, isEmpty, prependToGroup, prependToGroup, remove, remove, removeAll`

### Methods inherited from interface org.eclipse.jface.action.IContributionItem

`isDirty`

### Constructor Detail

#### FavoritesMenu

    public FavoritesMenu(org.eclipse.ui.IWorkbenchWindow window)

Constructor of MenuManager. If user selects favorite item, open with new Editor window.

Parameters:
  `window` - target `IWorkbenchWindow`

#### FavoritesMenu

    public FavoritesMenu(org.eclipse.ui.IWorkbenchWindow window,
                 boolean useExistingEditor)

Constructor of MenuManager

Parameters:
  `window` - target `IWorkbenchWindow`
  `useExistingEditor` - if true, use existing editor to open selected favorite item

### Method Detail

#### favoritesChanged

    public void favoritesChanged(org.eclipse.actf.model.internal.ui.FavoritesChangeEvent fce)

Description copied from interface: `org.eclipse.actf.model.internal.ui.FavoritesChangeListener`
This method will be invoked internally if the favorite items are changed

Specified by:
  `favoritesChanged` in interface `org.eclipse.actf.model.internal.ui.FavoritesChangeListener`
Parameters:
  `fce` - information about favorite change